Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.schema
Class ColumnInfo

    java.lang.Object
      |
      +--kodo.jdbc.schema.ColumnInfo

public class ColumnInfo
extends Object

Holder for information about a column.

Since:
  3.0.0
See Also:
  `kodo.jdbc.sql.DBDictionary#getColumn`, `SchemaGenerator`

Constructor Summary
`ColumnInfo()`
`ColumnInfo(ResultSet result)`
`ColumnInfo(ResultSetMetaData meta, int index)`

Method Summary
`String` | `getColumnDefault()`
`String` | `getColumnName()`
`int` | `getColumnSize()`
`int` | `getDataType()`
`String` | `getDataTypeName()`
`int` | `getDecimalDigits()`
`boolean` | `getNullable()`
`String` | `getTableName()`
`String` | `getTableSchema()`
`String` | `getTypeName()`
`void` | `setColumnDefault(String columnDefault)`
`void` | `setColumnName(String columnName)`
`void` | `setColumnSize(int columnSize)`
`void` | `setDataType(int dataType)`
`void` | `setDataTypeName(String dataTypeName)`
`void` | `setDecimalDigits(int decimalDigits)`
`void` | `setNullable(boolean nullable)`
`void` | `setTableName(String tableName)`
`void` | `setTableSchema(String tableSchema)`
`void` | `setTypeName(String typeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnInfo

    public ColumnInfo()

### ColumnInfo

    public ColumnInfo(ResultSet result)
               throws SQLException

### ColumnInfo

    public ColumnInfo(ResultSetMetaData meta,
                      int index)
               throws SQLException

Method Detail

### setTableName

    public void setTableName(String tableName)

### getTableName

    public String getTableName()

### setTableSchema

    public void setTableSchema(String tableSchema)

### getTableSchema

    public String getTableSchema()

### setColumnName

    public void setColumnName(String columnName)

### getColumnName

    public String getColumnName()

### setDataType

    public void setDataType(int dataType)

### getDataType

    public int getDataType()

### setColumnSize

    public void setColumnSize(int columnSize)

### getColumnSize

    public int getColumnSize()

### setDecimalDigits

    public void setDecimalDigits(int decimalDigits)

### getDecimalDigits

    public int getDecimalDigits()

### setNullable

    public void setNullable(boolean nullable)

### getNullable

    public boolean getNullable()

### setColumnDefault

    public void setColumnDefault(String columnDefault)

### getColumnDefault

    public String getColumnDefault()

### setTypeName

    public void setTypeName(String typeName)

### getTypeName

    public String getTypeName()

### setDataTypeName

    public void setDataTypeName(String dataTypeName)

### getDataTypeName

    public String getDataTypeName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.